Debian Bug report logs - #514021
e17: Illume keyboard not working

version graph

Package: e17; Maintainer for e17 is Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>; Source for e17 is src:e17.

Reported by: Luca Capello <luca@pca.it>

Date: Tue, 3 Feb 2009 13:48:01 UTC

Severity: important

Found in version 0.16.999.050+svn20081207-3

Fixed in version ecore/0.9.9.050+svn20090202-1

Done: Albin Tonnerre <albin.tonnerre@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Capello <luca@pca.it>, "ML Debian FreeSmartphone.Org Team" <pkg-fso-maint@lists.alioth.debian.org>, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514021; Package e17. (Tue, 03 Feb 2009 13:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
New Bug report received and forwarded. Copy sent to Luca Capello <luca@pca.it>, "ML Debian FreeSmartphone.Org Team" <pkg-fso-maint@lists.alioth.debian.org>, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Tue, 03 Feb 2009 13:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: e17: Illume keyboard not working
Date: Tue, 03 Feb 2009 14:45:39 +0100
[Message part 1 (text/plain, inline)]
Package: e17
Version: 0.16.999.050+svn20081207-3
Severity: important
User: pkg-fso-maint@lists.alioth.debian.org
Usertags: input-keyboard

Hello,

as reported by Sebastian Reichel at [1], the Illume keyboard does not
forward keypresses to the running application (e.g. Zhone or xterm).

IMHO this is a specific Illume problem, not an E17 one, because
matchbox-keyboard works nicely on E17 with the standard profile.

Thx, bye,
Gismo / Luca

PS, this bug was found with the unofficial version the pkg-fso team
    maintains.  I could not try with the official experimental version
    because there is no Illume module there

Footnotes: 
[1] http://lists.linuxtogo.org/pipermail/smartphones-userland/2009-January/000915.html

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: armel (armv4tl)

Kernel: Linux 2.6.24-20081103.git7172ec57 (PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages e17 depends on:
ii  e17-data    0.16.999.050+svn20081207-3   Enlightenment Window Manager Run T
ii  libasound2  1.0.16-2                     ALSA library
ii  libc6       2.7-18                       GNU C Library: Shared libraries
ii  libcurl3    7.18.2-8                     Multi-protocol file transfer libra
ii  libdbus-1-3 1.2.1-5                      simple interprocess messaging syst
ii  libecore-0. 0.9.9.050+svn20081201-2~fr.1 Core abstraction layer for enlight
ii  libecore-co 0.9.9.050+svn20081201-2~fr.1 Ecore Connection Library
ii  libecore-ev 0.9.9.050+svn20081201-2~fr.1 Ecore Evas Wrapper Library
ii  libecore-fb 0.9.9.050+svn20081201-2~fr.1 Ecore frame buffer system function
ii  libecore-fi 0.9.9.050+svn20081201-2~fr.1 Ecore File Library
ii  libecore-im 0.9.9.050+svn20081201-2~fr.1 Ecore Input Method Framework modul
ii  libecore-ip 0.9.9.050+svn20081201-2~fr.1 Ecore inter-process communication 
ii  libecore-jo 0.9.9.050+svn20081201-2~fr.1 Ecore job dealing functions
ii  libecore-tx 0.9.9.050+svn20081201-2~fr.1 Ecore text encoding conversion fun
ii  libecore-x0 0.9.9.050+svn20081201-2~fr.1 Ecore functions for dealing with t
ii  libedbus-0. 0.5.0.050+svn20081126-2~fr.1 D-Bus and HAL wrapper libraries fo
ii  libedje-0.9 0.9.9.050+svn20081206-2~fr.1 Graphical layout and animation lib
ii  libedje-bin 0.9.9.050+svn20081206-2~fr.1 Various binaries for use with libe
ii  libeet1     1.1.0-1                      Enlightenment DR17 file chunk read
ii  libefreet0  0.5.0.050+svn20081114-2~fr.1 Library that implements freedeskto
ii  libeina-0.0 0.0.1~svn20081120-2~fr.1     Enlightenment Foundation Library p
ii  libembryo0  0.9.9.043-1                  SMALL-based abstract machine (AMX)
ii  libevas-0.9 0.9.9.050+svn20081206-2~fr.1 Enlightenment DR17 advanced canvas
ii  libevas-0.9 0.9.9.050+svn20081206-2~fr.1 Evas module providingg the framebu
ii  libgcc1     1:4.3.3-3                    GCC support library
ii  libpam0g    1.0.1-5                      Pluggable Authentication Modules l
ii  libssl0.9.8 0.9.8g-15                    SSL shared libraries
ii  libx11-6    2:1.1.5-2                    X11 client-side library
ii  libxext6    2:1.0.4-1                    X11 miscellaneous extension librar

e17 recommends no packages.

e17 suggests no packages.

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 09 Mar 2009 07:12:02 GMT) Full text and rfc822 format available.

Reply sent to Albin Tonnerre <albin.tonnerre@gmail.com>:
You have taken responsibility. (Mon, 09 Mar 2009 19:09:10 GMT) Full text and rfc822 format available.

Notification sent to Luca Capello <luca@pca.it>:
Bug acknowledged by developer. (Mon, 09 Mar 2009 19:09:10 GMT) Full text and rfc822 format available.

Message #12 received at 514021-close@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <albin.tonnerre@gmail.com>
To: 514021-close@bugs.debian.org
Subject: Bug#514021: fixed in ecore 0.9.9.050+svn20090202-1
Date: Mon, 09 Mar 2009 18:53:09 +0000
Source: ecore
Source-Version: 0.9.9.050+svn20090202-1

We believe that the bug you reported is fixed in the latest version of
ecore, which is due to be installed in the Debian FTP archive:

ecore_0.9.9.050+svn20090202-1.diff.gz
  to pool/main/e/ecore/ecore_0.9.9.050+svn20090202-1.diff.gz
ecore_0.9.9.050+svn20090202-1.dsc
  to pool/main/e/ecore/ecore_0.9.9.050+svn20090202-1.dsc
ecore_0.9.9.050+svn20090202.orig.tar.gz
  to pool/main/e/ecore/ecore_0.9.9.050+svn20090202.orig.tar.gz
libecore-0.9.9.050a_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-0.9.9.050a_0.9.9.050+svn20090202-1_i386.deb
libecore-bin_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-bin_0.9.9.050+svn20090202-1_i386.deb
libecore-con-0.9.9.050a_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-con-0.9.9.050a_0.9.9.050+svn20090202-1_i386.deb
libecore-config0_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-config0_0.9.9.050+svn20090202-1_i386.deb
libecore-dbg_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-dbg_0.9.9.050+svn20090202-1_i386.deb
libecore-dev_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-dev_0.9.9.050+svn20090202-1_i386.deb
libecore-doc_0.9.9.050+svn20090202-1_all.deb
  to pool/main/e/ecore/libecore-doc_0.9.9.050+svn20090202-1_all.deb
libecore-evas0_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-evas0_0.9.9.050+svn20090202-1_i386.deb
libecore-fb0_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-fb0_0.9.9.050+svn20090202-1_i386.deb
libecore-file0_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-file0_0.9.9.050+svn20090202-1_i386.deb
libecore-imf0_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-imf0_0.9.9.050+svn20090202-1_i386.deb
libecore-ipc0_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-ipc0_0.9.9.050+svn20090202-1_i386.deb
libecore-job0_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-job0_0.9.9.050+svn20090202-1_i386.deb
libecore-txt0_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-txt0_0.9.9.050+svn20090202-1_i386.deb
libecore-x0_0.9.9.050+svn20090202-1_i386.deb
  to pool/main/e/ecore/libecore-x0_0.9.9.050+svn20090202-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 514021@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Albin Tonnerre <albin.tonnerre@gmail.com> (supplier of updated ecore package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Feb 2009 18:31:20 +0100
Source: ecore
Binary: libecore-0.9.9.050a libecore-con-0.9.9.050a libecore-config0 libecore-evas0 libecore-fb0 libecore-file0 libecore-imf0 libecore-ipc0 libecore-job0 libecore-txt0 libecore-x0 libecore-dev libecore-doc libecore-bin libecore-dbg
Architecture: source all i386
Version: 0.9.9.050+svn20090202-1
Distribution: experimental
Urgency: low
Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Changed-By: Albin Tonnerre <albin.tonnerre@gmail.com>
Description: 
 libecore-0.9.9.050a - Core abstraction layer for enlightenment DR 0.17
 libecore-bin - Tools that support Ecore
 libecore-con-0.9.9.050a - Ecore Connection Library
 libecore-config0 - Ecore Enlightened Property Library
 libecore-dbg - Debugging symbols for libecore
 libecore-dev - Ecore headers and static libraries
 libecore-doc - Ecore API Documentation
 libecore-evas0 - Ecore Evas Wrapper Library
 libecore-fb0 - Ecore frame buffer system functions
 libecore-file0 - Ecore File Library
 libecore-imf0 - Ecore Input Method Framework module
 libecore-ipc0 - Ecore inter-process communication functions
 libecore-job0 - Ecore job dealing functions
 libecore-txt0 - Ecore text encoding conversion functions
 libecore-x0 - Ecore functions for dealing with the X Windows System
Closes: 514021
Changes: 
 ecore (0.9.9.050+svn20090202-1) experimental; urgency=low
 .
    * New SVN snapshot
     - libecore-con0 is now libecore-0.9.9.050a due to API change
       + remove libecore-con0.symbols
     - Update shlibs for libecore-0.9.9.050a due to new functions added to API
     - refresh patches
     - Use new 'make doc' target to generate the documentation:
       + Add --enable-doc to configure options
       + use 'make doc'
       + build-depend on doxygen
    * Use a proper short description for libecore-dbg
    * Remove spurious dependency of libecore-file0 on libfam0
    * Build-depend on x11proto-xext-dev and libxtst-dev to get the illume
      keyboards working. Probably Closes: #514021
 .
 ecore (0.9.9.050+svn20081201-2) experimental; urgency=low
 .
   * Remove version name from -dev packages name
   * [lintian] Add ${misc:Depends} to libecore-doc too
 .
 ecore (0.9.9.050+svn20081201-1) experimental; urgency=low
 .
   * Upstream SVN snapshot
     - Packages renamed due to API changes
       + libecore-dev->libecore-0.9.9.050a-dev, libecore0->libecore-0.9.9.050a
     - Add debian/patches/{01-fix-library-soname,02-reapply-autofoo}: Use release
       instead of version-info to create libecore0 SONAME, to prevent things
       from breaking when the ABI changes again. This only affects libecore, not
       the other libraries.
     - Remove the symbols file for libecore0 as it it's almost useless now
     - build-depend and make libecore-0.9.9.050a-dev depend on libeina-0.0.1a-dev
     - update libecore-{con,evas}0.symbols
   * [lintian] Add ${misc:Depends} to package dependencies
Checksums-Sha1: 
 83bf5b16d819671ca372f76c30bd5f12b017c65e 1944 ecore_0.9.9.050+svn20090202-1.dsc
 aaba0abeff5cb2e48366f693b458100961f201a0 4547244 ecore_0.9.9.050+svn20090202.orig.tar.gz
 8b51157cdc219dab51ab63654ba1472043edf13b 20283 ecore_0.9.9.050+svn20090202-1.diff.gz
 d346e154c590aaeb181eb333087b7dc8a9299ac8 4000110 libecore-doc_0.9.9.050+svn20090202-1_all.deb
 a361548f9c16052700c679c65552e2b160237cb5 49710 libecore-0.9.9.050a_0.9.9.050+svn20090202-1_i386.deb
 bd32b51153a5925440270197a55709aa5deeebc5 21910 libecore-con-0.9.9.050a_0.9.9.050+svn20090202-1_i386.deb
 acb3bc9533fc08868ff288a0e07c06dca7d17c50 23788 libecore-config0_0.9.9.050+svn20090202-1_i386.deb
 868e8a6c4024801c032c6974b44c6cde154019f7 38458 libecore-evas0_0.9.9.050+svn20090202-1_i386.deb
 da7675441ba7fe472f50ce26961a5d6261e4c9d9 15896 libecore-fb0_0.9.9.050+svn20090202-1_i386.deb
 fc42d9f23d525328fe6fd730d3d2112c9ad0f911 16158 libecore-file0_0.9.9.050+svn20090202-1_i386.deb
 96773e0b042f73764f1f9d1e84c680e66a9253e4 13826 libecore-imf0_0.9.9.050+svn20090202-1_i386.deb
 c68e64cd28024f9b3127579c6ea42ecadb5fd6b0 14022 libecore-ipc0_0.9.9.050+svn20090202-1_i386.deb
 bec93bb6a66ca2465364b3fb85e39ff4419bffcd 7664 libecore-job0_0.9.9.050+svn20090202-1_i386.deb
 e777ea81559068736bfc2b86cac4534dd1bc17cc 7442 libecore-txt0_0.9.9.050+svn20090202-1_i386.deb
 e8fd52b80db3eba3868a671887f889b27ca257f8 67952 libecore-x0_0.9.9.050+svn20090202-1_i386.deb
 f175a58929e7cdbb69e83cc5b793ae2a0077e298 250418 libecore-dev_0.9.9.050+svn20090202-1_i386.deb
 4cd1278b1624db628408f194e6ffa16c9916cdcf 10558 libecore-bin_0.9.9.050+svn20090202-1_i386.deb
 154bac916157cadf5695ed1cf8b5af246ae2ee87 459400 libecore-dbg_0.9.9.050+svn20090202-1_i386.deb
Checksums-Sha256: 
 c569bc00280446c170896dc71307aab7c729fc9af6eba1b156795f8cb842d696 1944 ecore_0.9.9.050+svn20090202-1.dsc
 a314dbd777e32921452353d7c9317cfb35cbc9cb0e061d387d70af444934f9dc 4547244 ecore_0.9.9.050+svn20090202.orig.tar.gz
 2718000991ccbaa07996f2794ee848ae4259fa082474f01d8d5859337fc15d0e 20283 ecore_0.9.9.050+svn20090202-1.diff.gz
 30bf16698a3a88f43236e16451791967259fc366bb7a0060daeb83471396c555 4000110 libecore-doc_0.9.9.050+svn20090202-1_all.deb
 15fdfeaca71980bf06334c89bdad8fd39ed0c37538457251660ac49f5b75f723 49710 libecore-0.9.9.050a_0.9.9.050+svn20090202-1_i386.deb
 d55078ee16480ebb56d97f00b7e7fb444c4fe0159d9c7ae827cbfab9a3659671 21910 libecore-con-0.9.9.050a_0.9.9.050+svn20090202-1_i386.deb
 4ac9e9e5cb240510b69df31b061b26a0c8a471b6c6a11ad48374b44a323dcfd8 23788 libecore-config0_0.9.9.050+svn20090202-1_i386.deb
 2f7a1fc6959fb28f281b56804cb333aa34b53db9a70f2f32393cc57cc8b1a860 38458 libecore-evas0_0.9.9.050+svn20090202-1_i386.deb
 bdaeabfe8b8eb1b4fe337287e888f7a5e2a91992dafa96da17c6e85ece9d3ab1 15896 libecore-fb0_0.9.9.050+svn20090202-1_i386.deb
 1dc5161317191e840aceb5e8a5babafbfa2419d81e039e7f756ad48f01b83539 16158 libecore-file0_0.9.9.050+svn20090202-1_i386.deb
 e456f8eaff7c0b3e68e9051dc74f55b5eeebd262a4ac651b44785c165bfd79e7 13826 libecore-imf0_0.9.9.050+svn20090202-1_i386.deb
 7c17dc2c2827789856318788162f4b506392e07b9411f7922d04ce1d36aafb62 14022 libecore-ipc0_0.9.9.050+svn20090202-1_i386.deb
 fc9c8d971fbab965d8c34c5ca3f5bf573ef425a2e10617781874a6ebfeab9da5 7664 libecore-job0_0.9.9.050+svn20090202-1_i386.deb
 a88e1979d6d6eed282c67c34386a6ffb2d0f888394559c866f996e5b7519b0df 7442 libecore-txt0_0.9.9.050+svn20090202-1_i386.deb
 618138d25863f7d45e8e32b56200fa3126e9ae34ec186aef25a0a71d019b4ecd 67952 libecore-x0_0.9.9.050+svn20090202-1_i386.deb
 1b9ddf84a1ef4e25f22a5c59eabf8c240616d58a6410df533219fe291d5d6380 250418 libecore-dev_0.9.9.050+svn20090202-1_i386.deb
 926ba54b794776e4a8d6992c0da66773f6f2b293223a41c88bc1c737d810ff84 10558 libecore-bin_0.9.9.050+svn20090202-1_i386.deb
 185eab1e2298c37f6e98db5b74cf6d0568f4d3c3da98a1fbd44ef1f140924407 459400 libecore-dbg_0.9.9.050+svn20090202-1_i386.deb
Files: 
 c90ff2b0829c2aceeb669ad9582302f4 1944 libs optional ecore_0.9.9.050+svn20090202-1.dsc
 5b04f91572d2a4694b67410637de5649 4547244 libs optional ecore_0.9.9.050+svn20090202.orig.tar.gz
 07561f2b257f33b6d6b8887d3e7d1281 20283 libs optional ecore_0.9.9.050+svn20090202-1.diff.gz
 e9b27bb74581e02beb78b149e3cf87e8 4000110 doc optional libecore-doc_0.9.9.050+svn20090202-1_all.deb
 cc5744448870f337d8e7c7e460174316 49710 libs optional libecore-0.9.9.050a_0.9.9.050+svn20090202-1_i386.deb
 56d0ab06bf6bede6d8402d6f724d4f42 21910 libs optional libecore-con-0.9.9.050a_0.9.9.050+svn20090202-1_i386.deb
 091658ab7d811962c5c3eada711421f0 23788 libs optional libecore-config0_0.9.9.050+svn20090202-1_i386.deb
 4947f2f6d6599fb3b6493e5473c21840 38458 libs optional libecore-evas0_0.9.9.050+svn20090202-1_i386.deb
 d804d93b1c4f77366db0848fe52e39de 15896 libs optional libecore-fb0_0.9.9.050+svn20090202-1_i386.deb
 30b0a6e7e4e3b64eb31b9037dfd4cfd0 16158 libs optional libecore-file0_0.9.9.050+svn20090202-1_i386.deb
 bfe00e730f795116a34fdd0416964f19 13826 libs optional libecore-imf0_0.9.9.050+svn20090202-1_i386.deb
 30079a2e4fc9100d5b275dfc20a1ea8d 14022 libs optional libecore-ipc0_0.9.9.050+svn20090202-1_i386.deb
 15b85404947292bbcc4eb05bd2c3caa1 7664 libs optional libecore-job0_0.9.9.050+svn20090202-1_i386.deb
 58ebae0db39fe3f30d49e4c32764f47e 7442 libs optional libecore-txt0_0.9.9.050+svn20090202-1_i386.deb
 aed9b070870736b4de45b474d14fc7dd 67952 libs optional libecore-x0_0.9.9.050+svn20090202-1_i386.deb
 8d6d8877878c4b41ec4708d1f75ad34b 250418 libdevel optional libecore-dev_0.9.9.050+svn20090202-1_i386.deb
 e6714aee8f2f35c0e1fe882e1e39319f 10558 utils optional libecore-bin_0.9.9.050+svn20090202-1_i386.deb
 1cda0efececcb9b72764e449f818c1ae 459400 libdevel extra libecore-dbg_0.9.9.050+svn20090202-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm0FegACgkQv3x5OskTLdtp8ACgkuNkVwlBHJYk0vTOC6JmxdPx
ii8An3ENXLSGhi0kh5BGon+dpZ4gyLL1
=UfT7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Apr 2009 07:28:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:03:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.